# unbind C-b
# set -g prefix C-a
# bind C-a send-prefix

# abbilita la modalità 256 colori
set -g default-terminal "tmux-256color"

# abilita il supporto per il mouse
# set -g mouse on

# modifica le shortcat per splittare i pannelli
bind | split-window -h
bind - split-window -v
unbind '"'
unbind %

# vim like shortcat per lo spostamento
bind -r h select-pane -L
bind -r j select-pane -D
bind -r k select-pane -U
bind -r l select-pane -R

# quando premi prefix + q il pannello attivo ha il colore blu
set -g display-panes-active-colour blue
set -g display-panes-colour grey

# for neovim
set -g @resurrect-strategy-nvim 'session'

set -g @resurrect-processes 'btop'

set -g @resurrect-capture-pane-contents 'on'

set -g @catppuccin_flavor 'mocha' # latte, frappe, macchiato or mocha

# Make the status line pretty and add some modules
set -g status-right-length 100
set -g status-left-length 100
set -g status-left ""
set -g status-right "#{E:@catppuccin_status_application}"
set -agF status-right "#{E:@catppuccin_status_cpu}"
set -ag status-right "#{E:@catppuccin_status_session}"
set -ag status-right "#{E:@catppuccin_status_uptime}"
set -agF status-right "#{E:@catppuccin_status_battery}"

# List of plugins
set -g @plugin 'tmux-plugins/tpm'
set -g @plugin 'tmux-plugins/tmux-resurrect'
set -g @plugin 'tmux-plugins/tmux-logging'
set -g @plugin 'tmux-plugins/tmux-pain-control'
set -g @plugin 'tmux-plugins/tmux-cpu'
set -g @plugin 'tmux-plugins/tmux-battery'
set -g @plugin 'catppuccin/tmux#v2.1.3'

# Other examples:
# set -g @plugin 'tmux-plugins/tmux-sensible'
# set -g @plugin 'github_username/plugin_name'
# set -g @plugin 'github_username/plugin_name#branch'
# set -g @plugin 'git@github.com:user/plugin'
# set -g @plugin 'git@bitbucket.com:user/plugin'

# Initialize TMUX plugin manager (keep this line at the very bottom of tmux.conf)
run '~/.tmux/plugins/tpm/tpm'
